unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    CheckBox1: TCheckBox;
    Label1: TLabel;
  private
    procedure WMGetMinMaxInfo(var Msg: TWMGetMinMaxInfo); message WM_GETMINMAXINFO;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{renseignement trouv dans l'unit message}
{  TWMGetMinMaxInfo = record
    Msg: Cardinal;
    Unused: Integer;
    MinMaxInfo: PMinMaxInfo;
    Result: Longint;
  end;
  }


 {renseignement trouv dans l'unit Windows}
 { type
  // Struct pointed to by WM_GETMINMAXINFO lParam
  {PMinMaxInfo = ^TMinMaxInfo;
  TMinMaxInfo = packed record
    ptReserved: TPoint;
    ptMaxSize: TPoint;
    ptMaxPosition: TPoint;
    ptMinTrackSize: TPoint;
    ptMaxTrackSize: TPoint;
  end;}

procedure TForm1.WMGetMinMaxInfo(var Msg: TWMGetMinMaxInfo);
begin
  inherited; // Traitement habituel du message WM_GETMINMAXINFO
  if CheckBox1.Checked then   // Si limitation de taille demande
    with Msg.MinMaxInfo^ do
    begin
      ptMinTrackSize.x:= 250; // largeur mini 250 pixels
      ptMinTrackSize.y:= 150; // hauteur mini 150 pixels
      ptMaxTrackSize.x:= 400; // largeur maxi 400 pixels
      ptMaxTrackSize.y:= 400; // hauteur maxi 300 pixels
    end;
end;

end.
